ru.bitel.bgbilling.modules.mps.common.bean

## Enum TransactionStatus

- java.lang.Object
- - java.lang.Enum<TransactionStatus>
  - - ru.bitel.bgbilling.modules.mps.common.bean.TransactionStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TransactionStatus>, AbstractTransactionStatus

      public enum TransactionStatus
      extends java.lang.Enum<TransactionStatus>
      implements AbstractTransactionStatus

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `PAYMENT_CANCELED`
    `PAYMENT_NOT_PAYED`
    `PAYMENT_PAYED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()`
    `AbstractTransactionStatus` | `getStatusByCode(java.lang.String code)` Получение статуса и его описания по его коду.
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `toString()`
    `static TransactionStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TransactionStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final TransactionStatus ALL

    - #### PAYMENT_NOT_PAYED

          public static final TransactionStatus PAYMENT_NOT_PAYED

    - #### PAYMENT_PAYED

          public static final TransactionStatus PAYMENT_PAYED

    - #### PAYMENT_CANCELED

          public static final TransactionStatus PAYMENT_CANCELED

  - ### Method Detail

    - #### values

          public static TransactionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransactionStatus c : TransactionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransactionStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public java.lang.String getCode()

      Specified by:
        `getCode` in interface `AbstractTransactionStatus`

    - #### getTitle

          public java.lang.String getTitle()

      Specified by:
        `getTitle` in interface `AbstractTransactionStatus`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `AbstractTransactionStatus`
      Overrides:
        `toString` in class `java.lang.Enum<TransactionStatus>`

    - #### getStatusByCode

          public AbstractTransactionStatus getStatusByCode(java.lang.String code)

      Получение статуса и его описания по его коду.
      Specified by:
        `getStatusByCode` in interface `AbstractTransactionStatus`
      Parameters:
        `code` -
      Returns: